/v1/api/licences/ipQueryCounts (GET) - BlueCat Edge - Service Point v4.x.x

BlueCat Edge User Guide

ft:locale
en-US
Product name
BlueCat Edge
Version
Service Point v4.x.x

Gets a list of all unique IP addresses, with query counts for each IP address, over the last 30 days.

Request: GET https://api-<BlueCat.edge.url>/v1/api/licences/ipQueryCounts
Authorization: Bearer authorization token

Response

200 OK
Content-Type: application/JSON
[
    {
        "ipAddress": "10.10.10.10",
        "count": 1299675
    },
    {
        "ipAddress": "10.10.10.5",
        "count": 758579
    },
    {
        "ipAddress": "192.168.5.5",
        "count": 578363
    }
]
Where:
  • ipAddress—the unique IP address performing the query.
  • count—the total number of queries performed by the unique IP address over the last 30 days.
Note: The response lists IP addresses with the highest query count in descending order.
Possible error codes:
  • UNAUTHORIZED - Invalid access token
  • BAD REQUEST - Invalid API request
  • INTERNAL SERVER ERROR - Unexpected error